//
// ONVIFCameraPanTilt.swift
//
// Generated by swagger-codegen
// https://github.com/swagger-api/swagger-codegen
//

import Foundation



public struct ONVIFCameraPanTilt: Codable {

    public var currentPosition: ONVIFCameraSettingsCoordinates?
    public var defaultSpeedRange: ONVIFCameraSettingsCoordinates?
    public var supportedRange: ONVIFCameraSettingsCoordinatesRange

    public init(currentPosition: ONVIFCameraSettingsCoordinates? = nil, defaultSpeedRange: ONVIFCameraSettingsCoordinates? = nil, supportedRange: ONVIFCameraSettingsCoordinatesRange) {
        self.currentPosition = currentPosition
        self.defaultSpeedRange = defaultSpeedRange
        self.supportedRange = supportedRange
    }

    public enum CodingKeys: String, CodingKey { 
        case currentPosition = "current_position"
        case defaultSpeedRange = "default_speed_range"
        case supportedRange = "supported_range"
    }

}
